<template>
  <section class="md:h-full">
    <div
      class="font-bold text-28px text-dark-blue pl-2 pb-1 mb-6 relative leading-none"
    >
      <svg-icon
        class="absolute left-0 bottom-0 z-0"
        style="width: 22px; height: 22px"
        name="icon-title"
      />
      <span class="relative">Đáng chú ý</span>
    </div>
    <div class="md:flex md:space-x-5">
      <div class="md:w-384px">
        <div>
          <div class="thumnail-post mb-4">
            <a href="javascript:;">
              <div>
                <img v-lazy-load data-src="/img01.png" alt="" />
              </div>
            </a>
          </div>
          <div class="blog-item-info">
            <div class="mb-2 font-medium text-pearl text-base leading-normal">
              <a href="javascript:;">
                IPhone 12 là smartphone quan trọng nhất của Apple trong 6 năm
                qua?
              </a>
            </div>
            <div class="flex items-center space-x-2">
              <svg-icon class="w-4 h-4 text-gray-100" name="icon-comment" />
              <span class="text-info text-xs md:text-sm leading-none">
                84 Bình luận
              </span>
              <span class="text-xs md:text-sm text-gray-100 leading-none">
                16h trước
              </span>
            </div>
          </div>
        </div>
      </div>
      <div
        class="flex-1 border-t pt-4 mt-4 md:pt-0 md:mt-0 md:border-t-0 md:pr-5 md:border-r border-gray-light space-y-4"
      >
        <ItemListSmall
          v-for="(item, index) in items"
          :key="'remarkable-' + index"
          :item="item"
        />
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'SectionRemarkable',
  components: {
    ItemListSmall: () => import('~/components/common/ItemListSmall')
  },
  data() {
    return {
      items: [
        {
          title:
            'AirPods Pro và loạt tai nghe không dây đang giảm giá tại Việt Nam',
          image: '/remarkable-01.png',
          content: ''
        },
        {
          title: 'Nước cờ cao tay "biến thù thành khách" của ông Trump',
          image: '/remarkable-02.png',
          content: ''
        },
        {
          title: '90% video trên YouTube không có nổi 1.000 lượt xem',
          image: '/remarkable-03.png',
          content: ''
        }
      ]
    }
  }
}
</script>
